package cz.muni.fi.pb162.radio.parts;


/**
 * A switch part, whitch can be in turned on or turned off position
 * 
 * @author .ubo Pecho, tomorrow@mail.muni.cz .
 * @version 8.10.2009
 */
public class Switch implements Switchable
{
    /**
     * Determines, if the switch is on or off, default is off
     */
    private boolean turnedOn = false;
    
    /**
     * Sets the state of the switch
     * @param turnedOn true if switch should be set on, false otherwise
     */
    public void setTurnedOn(boolean turnedOn){
        this.turnedOn = turnedOn;
    }
    
    /**
     * @return true, if the switch is on, false otherwise
     */
    public boolean isTurnedOn(){
        return turnedOn;
    }
}
